C get_Wrho.f 
C   Build the elevation boundary conditions weight functions. 
C
      subroutine get_Wrho

      include 'CASCO.DIM' 
c     include 'covariance.h'
      include 'wrho.h'
      include 'mesh.h'
      include 'casco_params.h' 
      include 'deltabcs.h' 
c
cgh 4 Oct 1999 bug fix.  Sending wrong time to BuildWrho3 
c 18 aug '99, drl
c  adding temporal smoothing with parameter w2.
c  the diagonal matrix Wrho_t will be built in addition to Wrho 
c  dimension of Wrho_t is the number of boundary nodes.
c  assuming w2, dtbc, and Wrho_t are in the common blocks above
c  assuming that w2 has a value from input stream.
c
c     real     w0, w1  
c     parameter (w0 = 0. , w1 = 1. )
c     parameter (w0 = 9999. , w1 = 1. )

c     integer ntbc
c      integer nbc_time_steps

c      ntbc = nbc_time_steps()

      write(*,*)'GET_WRHO: w0, w1, w2 ',w0, w1, w2
      write(*,*)'nr = ', nr
      write(*,*)'DELTTBC = ', DELTTBC 
C23456789012345678901234567890123456789012345678901234567890123456789012 
      call BuildWrho3(Wrho,Wrho_t,IQrho,JQrho,w0,w1,w2,nr,LRVS,x,y,
     &                ntbc,DELTTBC)

      return 
      end
